/*
 * QueryPolicyRequ.cpp
 *
 *  Created on: 2008-9-16
 *      Author: stanley
 */

#include "SESOperator.h"
#include "StudentMgr.h"

CQueryPolicyRequ::CQueryPolicyRequ()
{
	pStudentMgr = CStudentMgr::instance();
}
CQueryPolicyRequ::~CQueryPolicyRequ()
{
	pStudentMgr = NULL;
}

bool CQueryPolicyRequ::RecvResp(CIntfData& myData)
{
	return true;
}
bool CQueryPolicyRequ::SendRequ(CIntfData& myData)
{
	pStudentMgr->Send(myData);
	myData.GetOperationID(OperationID);
	std::string str;
	myData.GetStudentID(str);
	m_StudentIDList.push_back(str);
	return true;
}
int CQueryPolicyRequ::GetOperationID()
{
	return OperationID;
}

